package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.KnightArmor;
import org.project.item.weapons.Sword;
import org.project.Colors;

// TODO: UPDATE IMPLEMENTATION

public class Knight extends Player {

    Sword sward=new Sword();

    public Knight(String name) {

        super(name, new Sword(), new KnightArmor());
    }

    @Override
    public void SpecialAttack(Entity target, int time) {
        if (time > 0) {
            time--;
            int index = hp;
            HeavyAttack(target);
            HeavyAttack(target);
            hp = index;
            mp -= 20;
           
            System.out.println(Colors.PURPLE + "✨ SPECIAL ATTACK! ✨" + Colors.RESET);
            System.out.println(Colors.PURPLE + "KABOOM!" + Colors.RESET);
            System.out.println("🔥 Damage: " + 2 * sward.getHeavyDamage());
        }
    }

}